package com.vaxsoft.vaxphonesip.VaxMainAPP;

import android.content.Intent;
import android.os.Handler;
import androidx.appcompat.app.AppCompatActivity;
import android.os.Bundle;
import android.view.Window;
import android.view.WindowManager;

import com.vaxsoft.vaxphonesip.VaxPhoneUI.AccountLogin.AccountLoginActivity;
import com.vaxsoft.vaxphonesip.VaxPhoneUI.MainTab.MainTabActivity;
import com.vaxsoft.vaxphonesip.R;
import com.vaxsoft.vaxphonesip.VaxStoreData.StoreAccount;

public class SplashActivity extends AppCompatActivity
{
    @Override
    public void onCreate(Bundle icicle)
    {
        requestWindowFeature(Window.FEATURE_NO_TITLE);
        getWindow().setFlags(WindowManager.LayoutParams.FLAG_FULLSCREEN, WindowManager.LayoutParams.FLAG_FULLSCREEN);

        super.onCreate(icicle);
        setContentView(R.layout.activity_splash);

        new Handler().postDelayed(new Runnable()
        {
            @Override
            public void run()
            {
                OnStartedUI();
                finish();
            }
        }, 600);
    }

    private void OnStartedUI()
    {
        boolean bStatusOnline = StoreAccount.IsAccountStatusOnline();

        Intent objIntent;

        if (bStatusOnline)
            objIntent = new Intent(SplashActivity.this, MainTabActivity.class);
        else
            objIntent = new Intent(SplashActivity.this, AccountLoginActivity.class);

        startActivity(objIntent);
    }
}
