package com.vaxsoft.vaxphonesip.VaxPhoneSIP.VaxPhoneAll;

import com.vaxsoft.vaxphonesip.VaxPhoneUI.MainDrawer.MainDrawerSettings.AudioCodecsDialog;
import com.vaxsoft.vaxphonesip.VaxPhoneUI.MainDrawer.MainDrawerSettings.VoiceChangerDialog;
import com.vaxsoft.vaxphonesip.VaxUserAgentSIP.VaxUserAgentSIP;

public class VaxPhoneVoiceChanger
{
    public static final int VAX_VOICE_PITCH_GRANDPA_DRUNK    =  4;
    public static final int VAX_VOICE_PITCH_TEEN_BOY         =  8;
    public static final int VAX_VOICE_PITCH_HOUSE_HOLD_REBOT = 12;
    public static final int VAX_VOICE_PITCH_HELIUM_INHALED   = 16;
    public static final int VAX_VOICE_PITCH_CHIPMUNK         = 20;

    private static VaxPhoneVoiceChanger mSelf = null;
    private static boolean m_bVoiceChangerEnabled = false;

    public VaxPhoneVoiceChanger()
    {
        mSelf = this;


        VaxPhoneVoiceChanger.m_bVoiceChangerEnabled = false;
    }

    static public VaxPhoneVoiceChanger GetSelf()
    {
        return VaxPhoneVoiceChanger.mSelf;
    }

    //////////////////////////////////////////////////////////////////////////////////////
    //////////////////////////////////////////////////////////////////////////////////////

    public static boolean IsVoiceChangerEnabled()
    {
        return VaxPhoneVoiceChanger.m_bVoiceChangerEnabled;
    }

    public boolean VoiceChanger(boolean bEnable)
    {
        VaxUserAgentSIP objVaxAgentSIP = new VaxUserAgentSIP(null);

        if(!bEnable)
        {
            VaxPhoneVoiceChanger.m_bVoiceChangerEnabled = false;
            return objVaxAgentSIP.VoiceChanger(-1);
        }

        if(!objVaxAgentSIP.VoiceChanger(VoiceChangerDialog.GetSelectedPitchNo()))
            return false;

        VaxPhoneVoiceChanger.m_bVoiceChangerEnabled = true;
        return true;
    }

    //////////////////////////////////////////////////////////////////////////////////////
    //////////////////////////////////////////////////////////////////////////////////////

    public void OnInitialized()
    {
        AudioCodecsDialog.PostInitialize();
    }
}
