package com.vaxsoft.vaxphonesip.VaxStoreData.StoreSettings;

import com.vaxsoft.vaxphonesip.VaxStoreData.DataPRF.DataPreference;
import VaxVoIP.VaxUserAgentLib.VaxUserAgentLib;

public class StoreDigitDTMF
{
    private final String DIGIT_DTMF = "VaxDigitDTMF";
    private final int DIGIT_DTMF_DEFAULT_VALUE = VaxUserAgentLib.VAX_DTMF_TYPE_AUTO;

    //////////////////////////////////////////////////////////////////////////////////////////////
    //////////////////////////////////////////////////////////////////////////////////////////////

    public void SetDigitDTMF(int nDigitDTMF)
    {
        DataPreference.WritePreferenceValue(DIGIT_DTMF, nDigitDTMF);
    }

    public int GetDigitDTMF()
    {
        return DataPreference.ReadPreferenceValue(DIGIT_DTMF, DIGIT_DTMF_DEFAULT_VALUE);
    }

    //////////////////////////////////////////////////////////////////////////////////////////////
    //////////////////////////////////////////////////////////////////////////////////////////////
}
