package com.vaxsoft.vaxphonesip.VaxStoreData.StoreSettings;


import com.vaxsoft.vaxphonesip.VaxStoreData.DataPRF.DataPreference;

public class StoreGeneralSettings
{
    private String DIAGNOSTIC_LOG = "VaxDiagnosticLog";
    private boolean DIAGNOSTIC_LOG_DEFAULT_VALUE = false;

    /////////////////////////////////////////////////////////////////////////////////////////

    public boolean GetDiagnosticLog()
    {
        return DataPreference.ReadPreferenceValue(DIAGNOSTIC_LOG, DIAGNOSTIC_LOG_DEFAULT_VALUE);
    }

    //////////////////////////////////////////////////////////////////////////////////////////////
    //////////////////////////////////////////////////////////////////////////////////////////////

    public void SetDiagnosticLog(boolean bDiagnosticLog)
    {
        DataPreference.WritePreferenceValue(DIAGNOSTIC_LOG, bDiagnosticLog);
    }

    //////////////////////////////////////////////////////////////////////////////////////

    public void ResetAllSettings()
    {
        DataPreference.ClearAllPrefrenceValues();
    }
}
