package com.vaxsoft.vaxphonesip.VaxStoreData.StoreSettings;

import com.vaxsoft.vaxphonesip.VaxStoreData.DataPRF.DataPreference;

public class StoreNetwork
{
    private final String LOCAL_PORT_SIP = "VaxNetworkLocalPortSIP";
    private final String CHOOSE_RANDOMLY_SIP = "VaxNetworkChooseRandomlySIP";

    private int LOCAL_PORT_SIP_DEFAULT_VALUE = 5060;
    private boolean CHOOSE_RANDOMLY_SIP_DEFAULT_VALUE = true;

    //////////////////////////////////////////////////////////////////////////////////////////////
    //////////////////////////////////////////////////////////////////////////////////////////////

    public int GetLocalPortSIP()
    {
        return DataPreference.ReadPreferenceValue(LOCAL_PORT_SIP, LOCAL_PORT_SIP_DEFAULT_VALUE);
    }

    public boolean IsChooseRandomlySIP()
    {
        return DataPreference.ReadPreferenceValue(CHOOSE_RANDOMLY_SIP, CHOOSE_RANDOMLY_SIP_DEFAULT_VALUE);
    }

    /////////////////////////////////////////////////////////////////////////////////////////////

    public void SetLocalPortSIP(int nPort)
    {
        DataPreference.WritePreferenceValue(LOCAL_PORT_SIP, nPort);
    }

    public void SetChooseRandomlySIP(boolean bRandomly)
    {
        DataPreference.WritePreferenceValue(CHOOSE_RANDOMLY_SIP, bRandomly);
    }

    //////////////////////////////////////////////////////////////////////////////////////////////
    //////////////////////////////////////////////////////////////////////////////////////////////

}
