package com.vaxsoft.vaxphonesip.VaxStoreData.StoreSettings;

import VaxVoIP.VaxUserAgentLib.VaxUserAgentLib;
import com.vaxsoft.vaxphonesip.VaxStoreData.DataPRF.DataPreference;

public class StoreVideoQuality
{
    private final String VIDEO_QUALITY = "Video Quality";
    private final int DEFAULT_VIDEO_QUALITY = VaxUserAgentLib.VAX_VIDEO_QUALITY_STANDARD;

    //////////////////////////////////////////////////////////////////////////////////////////////
    //////////////////////////////////////////////////////////////////////////////////////////////

    public void SetVideoQuality(int nBitrate)
    {
        DataPreference.WritePreferenceValue(VIDEO_QUALITY, nBitrate);
    }

    public int GetVideoQuality()
    {
        return DataPreference.ReadPreferenceValue(VIDEO_QUALITY, DEFAULT_VIDEO_QUALITY);
    }

    //////////////////////////////////////////////////////////////////////////////////////////////
    //////////////////////////////////////////////////////////////////////////////////////////////
}
