package com.vaxsoft.vaxphonesip.VaxPhoneSIP.VaxConnectionService;

import android.content.ComponentName;
import android.content.Context;

import android.os.Bundle;
import android.telecom.Connection;

import android.telecom.PhoneAccount;
import android.telecom.ConnectionRequest;
import android.telecom.ConnectionService;
import android.telecom.PhoneAccountHandle;
import android.telecom.TelecomManager;

import java.lang.String;

import com.vaxsoft.vaxphonesip.VaxPhoneUI.IncomingCall.IncomingCallActivity;
import com.vaxsoft.vaxphonesip.VaxMainAPP.VaxPhoneAPP;

public class VaxConnectionServiceEx extends ConnectionService
{
    public VaxConnectionServiceEx()
    {
    }

    @Override
    public Connection onCreateIncomingConnection(PhoneAccountHandle connectionManagerPhoneAccount, ConnectionRequest request)
    {
        Bundle objExtraParam = request.getExtras();

        String sCallerName = objExtraParam.getString("CallerName");
        String sCallerId = objExtraParam.getString("CallerId");

        IncomingCallActivity.ShowIncomingUI(sCallerName, sCallerId);

        return super.onCreateIncomingConnection(connectionManagerPhoneAccount, request);
    }

    static public void AddNewIncomingCall(String sCallerName, String sCallerId)
    {
        Context context = VaxPhoneAPP.GetContextAPP();

        TelecomManager objTelecomManager = (TelecomManager) context.getSystemService(Context.TELECOM_SERVICE);

        PhoneAccountHandle objAccountHandle = new PhoneAccountHandle(new ComponentName(context, VaxConnectionServiceEx.class), "VaxPhoneConnectionServiceSIP");
        PhoneAccount objPhoneAccount = PhoneAccount.builder(objAccountHandle, "VaxPhoneConnectionServiceSIP").setCapabilities(PhoneAccount.CAPABILITY_SELF_MANAGED).build();

        objTelecomManager.registerPhoneAccount(objPhoneAccount);

        Bundle objExtraParam = new Bundle();

        objExtraParam.putString("CallerName", sCallerName);
        objExtraParam.putString("CallerId", sCallerId);

        objTelecomManager.addNewIncomingCall(objAccountHandle, objExtraParam);
    }
}