package com.vaxsoft.vaxphonesip.VaxPhoneSIP.VaxPhoneAll.VaxPhoneDTMF;

import com.vaxsoft.vaxphonesip.VaxPhoneSIP.VaxPhoneAll.VaxPhoneDTMF.VaxDigitTone.VaxPlayDTMF;
import com.vaxsoft.vaxphonesip.VaxUserAgentSIP.IVaxUserAgentSIP;
import com.vaxsoft.vaxphonesip.VaxUserAgentSIP.VaxUserAgentSIP;

public class VaxPhoneDTMF implements IVaxUserAgentSIP
{
    private static VaxPhoneDTMF mSelf = null;
    private VaxUserAgentSIP mVaxAgentSIP = null;

    private VaxPlayDTMF mPlayDTMF = null;
    private int mnTypeDTMF = VaxUserAgentSIP.VAX_DTMF_TYPE_AUTO;

    //////////////////////////////////////////////////////////////////////////////////////
    //////////////////////////////////////////////////////////////////////////////////////

    public VaxPhoneDTMF()
    {
        mSelf = this;
        mVaxAgentSIP = new VaxUserAgentSIP(this);

        mPlayDTMF = new VaxPlayDTMF();
        mnTypeDTMF = VaxUserAgentSIP.VAX_DTMF_TYPE_AUTO;
    }

    static public VaxPhoneDTMF GetSelf()
    {
        return VaxPhoneDTMF.mSelf;
    }

    //////////////////////////////////////////////////////////////////////////////////////
    //////////////////////////////////////////////////////////////////////////////////////

    public boolean DigitDTMF(String sDigit)
    {
        mPlayDTMF.PlayTone(sDigit);
        return mVaxAgentSIP.DigitDTMF(0, sDigit, mnTypeDTMF);
    }

    public void ForceDigitDTMF(int nTypeId, boolean bEnable)
    {
        mnTypeDTMF = nTypeId;
    }


}
