package com.vaxsoft.vaxphonesip.VaxStoreData.StoreSettings;

import com.vaxsoft.vaxphonesip.VaxStoreData.DataPRF.DataPreference;

public class StoreVideoBitrate
{
    private final String VIDEO_BITRATE = "VaxVideoBitrate";
    private final int VIDEO_BITRATE_DEFAULT_VALUE = 1;

    //////////////////////////////////////////////////////////////////////////////////////////////
    //////////////////////////////////////////////////////////////////////////////////////////////

    public void SetVideoBitrate(int nBitrate)
    {
        DataPreference.WritePreferenceValue(VIDEO_BITRATE, nBitrate);
    }

    public int GetVideoBitrate()
    {
        return DataPreference.ReadPreferenceValue(VIDEO_BITRATE, VIDEO_BITRATE_DEFAULT_VALUE);
    }

    //////////////////////////////////////////////////////////////////////////////////////////////
    //////////////////////////////////////////////////////////////////////////////////////////////
}
