package com.vaxsoft.vaxphonesip.VaxStoreData.StoreSettings;

import VaxVoIP.VaxUserAgentLib.VaxUserAgentLib;
import com.vaxsoft.vaxphonesip.VaxStoreData.DataPRF.DataPreference;

public class StoreVideoCodecs
{
    private final String VIDEO_CODEC_VP8 = "VaxVideoCodecVP8";
    private final boolean VIDEO_CODEC_VP8_DEFAULT_VALUE = true;

    ////////////////////////////////////////////////////////////////////////////////////////
    ////////////////////////////////////////////////////////////////////////////////////////

    public void GetVideoCodecs(boolean[] aCodecs)
    {
        aCodecs[VaxUserAgentLib.VAX_VIDEO_CODEC_VP8] = DataPreference.ReadPreferenceValue(VIDEO_CODEC_VP8, VIDEO_CODEC_VP8_DEFAULT_VALUE);
    }

    public void SetVideoCodecs(boolean[] aCodecs)
    {
        DataPreference.WritePreferenceValue(VIDEO_CODEC_VP8, aCodecs[VaxUserAgentLib.VAX_VIDEO_CODEC_VP8]);
    }

    /////////////////////////////////////////////////////////////////////////////////////
    /////////////////////////////////////////////////////////////////////////////////////
}
