package com.vaxsoft.vaxphonesip.VaxStoreData.StoreSettings;

import com.vaxsoft.vaxphonesip.VaxPhoneUI.MainDrawer.MainDrawerSettings.VoiceChangerDialog;
import com.vaxsoft.vaxphonesip.VaxStoreData.DataPRF.DataPreference;

public class StoreVoiceChanger
{
    private final String VOICE_CHANGER = "Voice Changer";
    private final int DEFAULT_VOICE_CHANGER = VoiceChangerDialog.VAX_VOICE_CHANGER_HELIUM_INHALED;

    //////////////////////////////////////////////////////////////////////////////////////////////
    //////////////////////////////////////////////////////////////////////////////////////////////

    public void SetVoiceChanger(int nVoiceChanger)
    {
        DataPreference.WritePreferenceValue(VOICE_CHANGER, nVoiceChanger);
    }

    public int GetVoiceChanger()
    {
        return DataPreference.ReadPreferenceValue(VOICE_CHANGER, DEFAULT_VOICE_CHANGER);
    }

    //////////////////////////////////////////////////////////////////////////////////////////////
    //////////////////////////////////////////////////////////////////////////////////////////////
}
